# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "haitaka"
version = "0.3.2"
authors = ["tofutofu <tofutofu@users.noreply.github.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust Shogi move generation library"
homepage = "https://github.com/tofutofu/haitaka"
readme = "README.md"
keywords = [
    "shogi",
    "chess",
    "no_std",
]
categories = [
    "games",
    "no-std",
]
license = "MIT"
repository = "https://github.com/tofutofu/haitaka"
resolver = "2"

[features]
qugiy = ["haitaka-types/qugiy"]
std = ["haitaka-types/std"]

[lib]
name = "haitaka"
path = "src/lib.rs"

[[example]]
name = "find_magics"
path = "examples/find_magics.rs"

[[example]]
name = "perft"
path = "examples/perft.rs"

[[bench]]
name = "legals"
path = "benches/legals.rs"
harness = false

[[bench]]
name = "perft"
path = "benches/perft.rs"
harness = false

[[bench]]
name = "slider_moves"
path = "benches/slider_moves.rs"
harness = false

[dependencies.haitaka-types]
version = "0.1.3"

[dev-dependencies.criterion]
version = "0.3.5"
features = ["html_reports"]

[dev-dependencies.rand]
version = "0.9"

[build-dependencies.haitaka-types]
version = "0.1.3"
